<?php

namespace kernel\themes\default\controllers;

use kernel\Controller;

class MainController extends Controller
{

    protected function init(): void
    {
        parent::init();
        $this->cgView->viewPath = KERNEL_DIR . "/themes/default/views/main/";
        $this->cgView->layout = "main.php";
        $this->cgView->layoutPath = KERNEL_DIR . "/themes/default/views/layout/";
        $this->cgView->addVarToLayout("resources", "/resources/themes/default");
    }

    public function actionIndex(): void
    {
        $this->cgView->render("index.php");
    }

    public function actionAbout(): void
    {
        $this->cgView->render("about.php");
    }
}